package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Paget;
import com.realnet.vpspack.Services.PagetService ;


@RequestMapping(value = "/Paget")
 @CrossOrigin("*") 
@RestController
public class PagetController {
	@Autowired
	private PagetService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Paget")
		  public Paget Savedata(@RequestBody Paget data) {
		Paget save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Paget/{id}")
	public  Paget update(@RequestBody Paget data,@PathVariable Integer id ) {
		Paget update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Paget/getall/page")
	public Page<Paget> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Paget> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Paget")
	public List<Paget> getdetails() {
		 List<Paget> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Paget")
	public List<Paget> getallwioutsec() {
		 List<Paget> get = Service.getdetails();		
		return get;
}
@GetMapping("/Paget/{id}")
	public  Paget  getdetailsbyId(@PathVariable Integer id ) {
		Paget  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Paget/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}